Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.resources.resource
Class ResourceUnavailableException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jini.rio.resources.resource.ResourceUnavailableException

All Implemented Interfaces:
  Serializable

    public class ResourceUnavailableException

extends Exception

Exception to indicate that there are no available resources that became available during the specified wait time.

See Also:
  Serialized Form

Constructor Summary
`ResourceUnavailableException()` Constructs a ResourceUnavailableException with no detail message.
`ResourceUnavailableException(String s)` Constructs a ResourceUnavailableException with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceUnavailableException

    public ResourceUnavailableException()

  Constructs a ResourceUnavailableException with no detail message. A detail message is a String that describes this particular exception.

### ResourceUnavailableException

    public ResourceUnavailableException(String s)

  Constructs a ResourceUnavailableException with the specified detail message. A detail message is a String that describes this particular exception.

  Parameters:
    `s` - the detail message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.